Retrieve Accreditation Files
1 min
Retrieve Accreditation Files
Returns metadata for every accreditation document tied to an investment's vault — uploaded files (CPA letters, income/asset proof, Plaid reports) and the vault-level verification report and proof-of-address.
GET
https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents
Path Parameters
- investmentIdstringDescription
javascript
const response = await fetch(
"https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents",
{
method: "GET",
headers: {
Authorization: `Bearer ${process.env.EQUIDEFI_API_KEY}`,
},
}
);
const { data } = await response.json();
console.log(data);curl
curl --request GET \
--url https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents \
--header 'accept: application/json'nodejs
var request = require('request');
var options = {
'method': 'GET',
'url': 'https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents',
'headers': {
'accept': 'application/json',
'content-type': 'application/json'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
curl
curl --request GET \
--url https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents/{investmentId} \
--header 'accept: application/json'nodejs
var request = require('request');
var options = {
'method': 'GET',
'url': 'https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents/{investmentId}',
'headers': {
'accept': 'application/json',
'content-type': 'application/json'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents/{investmentId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents/{investmentId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents/{investmentId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
200
{
"data": [
{
"type": "accreditation_documents",
"id": "eef24ce5-48af-4e68-9b52-95b6b941b857",
"attributes": {
"type": "PLAID_REPORT",
"filename": "Plaid Consumer Report",
"filetype": "application/pdf",
"uploaded_at": "2025-08-19T22:27:14.292Z"
}
},
{
"type": "accreditation_documents",
"id": "verification_report",
"attributes": {
"type": "VERIFICATION_REPORT",
"filename": "verification-report.pdf",
"filetype": "application/pdf",
"uploaded_at": "2025-08-20T14:03:11.000Z"
}
},
{
"type": "accreditation_documents",
"id": "proof_of_address",
"attributes": {
"type": "PROOF_OF_ADDRESS",
"filename": "proof-of-address.jpg",
"filetype": "image/jpeg",
"uploaded_at": "2025-08-20T14:03:12.000Z"
}
}
]
}404
{ "errors": ["Investment not found"] }403
{ "errors": ["Forbidden"] }401
{ "errors": ["Unauthorized"] }